Use @DBNAME

If Not Exists (SELECT     name
                FROM         sysobjects
                WHERE     (name = N'adminPermission') AND (type = 'U'))
Begin
    Begin Tran createAdminPermission

    CREATE TABLE dbo.adminPermission
    (
        permissionID int NOT NULL PRIMARY KEY,
        permissionName nvarchar(500) COLLATE Arabic_CI_AS NOT NULL,
    )

    If (@@ERROR > 0)
        Rollback Tran createAdminPermission
    Else
        Commit 
End
